SoNodeKitDetail Class Reference
Detail Classes

The SoNodeKitDetail class is yet to be documented. More...

`#include <Inventor/details/SoNodeKitDetail.h>`

Inheritance diagram for SoNodeKitDetail:

## Public Member Functions

virtual SoType | getTypeId (void) const
| SoNodeKitDetail (void)
virtual | ~SoNodeKitDetail ()
virtual SoDetail * | copy (void) const
void | setNodeKit (SoBaseKit *kit)
SoBaseKit * | getNodeKit (void) const
void | setPart (SoNode *part)
SoNode * | getPart (void) const
void | setPartName (const SbName &name)
const SbName & | getPartName (void) const
Public Member Functions inherited from SoDetail
virtual | ~SoDetail ()
SbBool | isOfType (const SoType type) const

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void | cleanupClass (void)
static void | initClass (void)
Static Public Member Functions inherited from SoDetail
static void | initClass (void)
static void | initClasses (void)
static SoType | getClassTypeId (void)

## Protected Attributes

SoBaseKit * | myNodeKit
SoNode * | myPart
SbName | myPartName

## Additional Inherited Members

Protected Member Functions inherited from SoDetail
| SoDetail (void)

## Detailed Description

The SoNodeKitDetail class is yet to be documented.

When a pick action is executed and geometry within a nodekit is hit, the nodekit generates an SoNodeKitDetail object which contains information about the specific part inside the nodekit hit by the pick ray.

See also
  SoRayPickAction

## Constructor & Destructor Documentation

## SoNodeKitDetail()

SoNodeKitDetail::SoNodeKitDetail | ( | void |  | ) |

Constructor.

## ~SoNodeKitDetail()

SoNodeKitDetail::~SoNodeKitDetail | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getTypeId()

SoType SoNodeKitDetail::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoDetail. This is used for runtime type checking and "downward" casting.

Implements SoDetail.

## getClassTypeId()

SoType SoNodeKitDetail::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

## cleanupClass()

void SoNodeKitDetail::cleanupClass | ( | void |  | ) |

inline static

This static method cleans up static data of the class.

## copy()

SoDetail * SoNodeKitDetail::copy | ( | void |  | ) | const

virtual

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

## setNodeKit()

void SoNodeKitDetail::setNodeKit | ( | SoBaseKit * | kit | ) |

Set the pointer indicating which nodekit generated this detail object.

## getNodeKit()

SoBaseKit * SoNodeKitDetail::getNodeKit | ( | void |  | ) | const

Returns a pointer to the nodekit generating this details object.

## setPart()

void SoNodeKitDetail::setPart | ( | SoNode * | part | ) |

Set the pointer indicating which node inside the nodekit was hit by a pick.

## getPart()

SoNode * SoNodeKitDetail::getPart | ( | void |  | ) | const

Return node inside nodekit which was hit.

## setPartName()

void SoNodeKitDetail::setPartName | ( | const SbName & | name | ) |

Set catalog name of node part which was hit.

## getPartName()

const SbName & SoNodeKitDetail::getPartName | ( | void |  | ) | const

Return catalog name of nodekit part which was hit.

## Member Data Documentation

## myNodeKit

SoBaseKit* SoNodeKitDetail::myNodeKit

protected

The nodekit generating this details object.

## myPart

SoNode* SoNodeKitDetail::myPart

protected

Node inside nodekit which was hit.

## myPartName

SbName SoNodeKitDetail::myPartName

protected

Catalog name of nodekit part which was hit.

The documentation for this class was generated from the following files:

- SoNodeKitDetail.h
- SoNodeKitDetail.cpp